/*
  This file is a part of hashutils package.
  Copyright (C) 2004 Zeljko Vrba.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  You can reach me at the following e-mail addresses:

  zvrba@globalnet.hr
  mordor@fly.srk.fer.hr
*/
#ifndef CRYPTHASH_H__
#define CRYPTHASH_H__

#include <mycrypt.h>

extern struct _hash_descriptor dm_blowfish_desc;
extern struct _hash_descriptor dm_rc2_desc;
extern struct _hash_descriptor dm_rc5_desc;
extern struct _hash_descriptor dm_safer_k64_desc;
extern struct _hash_descriptor dm_safer_sk64_desc;
extern struct _hash_descriptor dm_cast5_desc;

#endif /* CRYPTHASH_H__ */
