/*
  This file is a part of hashutils package.
  Copyright (C) 2004 Zeljko Vrba.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  You can reach me at the following e-mail addresses:

  zvrba@globalnet.hr
  mordor@fly.srk.fer.hr
*/
#ifndef MAIN_H__
#define MAIN_H__

void Main_print_hashes(void);
void Main_parse_cmdline(int argc, char **argv);
Sfio_t *Main_file_open(const char *fname);

/* must be implemented */
extern const char *Main_argv0;
void Main_usage(const char *message);
int Main_process_option(int argc, char **argv, int *arg);
void Main_process_files(const char *fname1, const char *fname2, int halg);

#endif /* MAIN_H__ */
